org.apache.tinkerpop.gremlin.structure.io.graphml

## Class GraphMLReader.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLReader.Builder

- All Implemented Interfaces:
    GraphReader.ReaderBuilder<GraphMLReader>
  Enclosing class:
    GraphMLReader

      public static final class GraphMLReader.Builder
      extends Object
      implements GraphReader.ReaderBuilder<GraphMLReader>

  Allows configuration and construction of the GraphMLReader instance.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphMLReader.Builder` | `batchSize(long batchSize)` Number of mutations to perform before a commit is executed.
    `GraphMLReader` | `create()` Creates the `GraphReader` implementation given options provided to the `GraphReader.ReaderBuilder` implementation.
    `GraphMLReader.Builder` | `edgeLabelKey(String edgeLabelKey)` The key to use as the edge label.
    `GraphMLReader.Builder` | `strict(boolean strict)` When set to true, exceptions will be thrown if a property value cannot be coerced to the expected data type.
    `GraphMLReader.Builder` | `vertexLabelKey(String vertexLabelKey)` the key to use as the vertex label.
    `GraphMLReader.Builder` | `xmlInputFactory(XMLInputFactory inputFactory)` A custom `XMLInputFactory`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### strict

          public GraphMLReader.Builder strict(boolean strict)

      When set to true, exceptions will be thrown if a property value cannot be coerced to the expected data type. If set to false, then the reader will continue with the import but ignore the failed property key. By default this value is "true".

    - #### edgeLabelKey

          public GraphMLReader.Builder edgeLabelKey(String edgeLabelKey)

      The key to use as the edge label.

    - #### vertexLabelKey

          public GraphMLReader.Builder vertexLabelKey(String vertexLabelKey)

      the key to use as the vertex label.

    - #### batchSize

          public GraphMLReader.Builder batchSize(long batchSize)

      Number of mutations to perform before a commit is executed.

    - #### xmlInputFactory

          public GraphMLReader.Builder xmlInputFactory(XMLInputFactory inputFactory)

      A custom `XMLInputFactory`. If this value is not set then a default one is constructed. The default will be configured to disable DTDs and support of external entities to prevent XXE style attacks.

    - #### create

          public GraphMLReader create()

      Description copied from interface: `GraphReader.ReaderBuilder`
      Creates the `GraphReader` implementation given options provided to the `GraphReader.ReaderBuilder` implementation.
      Specified by:
        `create` in interface `GraphReader.ReaderBuilder<GraphMLReader>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.